#ifndef __PLAYER_INTERFACE_H__
#define __PLAYER_INTERFACE_H__

#include <qstring.h>
#include <qstringlist.h>
#include <qobject.h>


class PlayerInterface:public QObject {
  
 public:
  PlayerInterface();
  virtual ~PlayerInterface();

  enum Player { XMMS, NOATUN, SMPEG, NONE };
  
  virtual void startPlayer() {}
  virtual void exitPlayer() {}
  
  virtual void previous() {}
  virtual void play() {}
  virtual void pause() {}
  virtual void stop() {}
  virtual void next() {}

  virtual void setVolume(int) {}
  virtual void setCurrentTime(int) {}
  virtual void toggleRepeat() {}
  virtual void toggleShuffle() {}
  
  virtual int getVolume() { return 0; }
  virtual int getCurrentTime() { return 0; }
  virtual int getTrackTime() { return 0; }
  virtual QString getTitle() { return QString("");}
  virtual bool getRepeat() { return false; }
  virtual bool getShuffle() { return false; }
  virtual bool isPlaying() { return false; }
  virtual bool isPlayerRunning() { return false; }

  virtual void openFileSelector() {}
  virtual void playlistClear() {}
  virtual void playlistAdd(QString) {}
  virtual void playlistAdd(QStringList) {}

  virtual Player is() { return NONE; }
};

#endif
